import require$$0, { useState, useEffect, useRef, useCallback, useLayoutEffect, useMemo } from "react";
import * as echarts from "echarts";
import axios from "axios";
import AlarmON from "tuyang-alarm";
import { hooks, Api } from "tuyang-shared";
function _arrayWithHoles(arr) {
  if (Array.isArray(arr))
    return arr;
}
function _iterableToArrayLimit(arr, i) {
  var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
  if (_i == null)
    return;
  var _arr = [];
  var _n = true;
  var _d = false;
  var _s, _e;
  try {
    for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) {
      _arr.push(_s.value);
      if (i && _arr.length === i)
        break;
    }
  } catch (err) {
    _d = true;
    _e = err;
  } finally {
    try {
      if (!_n && _i["return"] != null)
        _i["return"]();
    } finally {
      if (_d)
        throw _e;
    }
  }
  return _arr;
}
function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length)
    len = arr.length;
  for (var i = 0, arr2 = new Array(len); i < len; i++) {
    arr2[i] = arr[i];
  }
  return arr2;
}
function _unsupportedIterableToArray(o, minLen) {
  if (!o)
    return;
  if (typeof o === "string")
    return _arrayLikeToArray(o, minLen);
  var n2 = Object.prototype.toString.call(o).slice(8, -1);
  if (n2 === "Object" && o.constructor)
    n2 = o.constructor.name;
  if (n2 === "Map" || n2 === "Set")
    return Array.from(o);
  if (n2 === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n2))
    return _arrayLikeToArray(o, minLen);
}
function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _slicedToArray(arr, i) {
  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
}
var index$2 = "";
var jsxRuntime = { exports: {} };
var reactJsxRuntime_production_min = {};
/**
 * @license React
 * react-jsx-runtime.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var f = require$$0, k = Symbol["for"]("react.element"), l = Symbol["for"]("react.fragment"), m = Object.prototype.hasOwnProperty, n = f.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentOwner, p = {
  key: true,
  ref: true,
  __self: true,
  __source: true
};
function q(c, a, g) {
  var b, d = {}, e = null, h = null;
  void 0 !== g && (e = "" + g);
  void 0 !== a.key && (e = "" + a.key);
  void 0 !== a.ref && (h = a.ref);
  for (b in a) {
    m.call(a, b) && !p.hasOwnProperty(b) && (d[b] = a[b]);
  }
  if (c && c.defaultProps)
    for (b in a = c.defaultProps, a) {
      void 0 === d[b] && (d[b] = a[b]);
    }
  return {
    $$typeof: k,
    type: c,
    key: e,
    ref: h,
    props: d,
    _owner: n.current
  };
}
reactJsxRuntime_production_min.Fragment = l;
reactJsxRuntime_production_min.jsx = q;
reactJsxRuntime_production_min.jsxs = q;
{
  jsxRuntime.exports = reactJsxRuntime_production_min;
}
const jsx = jsxRuntime.exports.jsx;
const jsxs = jsxRuntime.exports.jsxs;
const Fragment = jsxRuntime.exports.Fragment;
var EquipmentOverview = function EquipmentOverview2(_ref) {
  var onPreview = _ref.onPreview;
  var _useState = useState([{
    index: 1,
    name: "\u5217\u8868"
  }, {
    index: 2,
    name: "\u6295\u5730"
  }, {
    index: 3,
    name: "\u6536\u85CF"
  }, {
    index: 4,
    name: "\u89C6\u9891\u5DE1\u903B"
  }, {
    index: 5,
    name: "\u53EF\u89C6\u533A\u57DF"
  }]), _useState2 = _slicedToArray(_useState, 1), urlData = _useState2[0];
  var _useState3 = useState(0), _useState4 = _slicedToArray(_useState3, 2), activeTabIndex = _useState4[0], setActiveTabIndex = _useState4[1];
  var _useState5 = useState(-1), _useState6 = _slicedToArray(_useState5, 2), current = _useState6[0], setCurrent = _useState6[1];
  var _useState7 = useState(1564), _useState8 = _slicedToArray(_useState7, 2), EquipmentSum = _useState8[0], setEquipmentSum = _useState8[1];
  var _useState9 = useState([]), _useState10 = _slicedToArray(_useState9, 2), Equipmentlist = _useState10[0], setEquipmentlist = _useState10[1];
  var _useState11 = useState([1853]), _useState12 = _slicedToArray(_useState11, 2), online = _useState12[0], setonline = _useState12[1];
  var _useState13 = useState([52]), _useState14 = _slicedToArray(_useState13, 2), offline = _useState14[0], setoffline = _useState14[1];
  useEffect(function() {
    EquipmentlistAX();
    Equipmentonoff();
    setTimeout(function() {
      getChart1();
      getChart2();
    }, 1);
  }, []);
  var changeUrl = function changeUrl2(item, index2) {
    console.log("\u9009\u62E90", item, index2);
  };
  var EquipmentlistAX = function EquipmentlistAX2() {
    axios.get("http://172.23.0.237:9010/api/device/camera/list").then(function(res) {
      setEquipmentlist(res.data.data);
      setEquipmentSum(res.data.data.length);
    });
  };
  var Equipmentonoff = function Equipmentonoff2() {
    axios.post("http://172.23.0.237:9010/api/device/camera/status", []).then(function(res) {
      var pro = res.data.data;
      var online2 = [];
      var offline2 = [];
      pro.map(function(item, index2) {
        if (item.status == 0) {
          offline2.push(item.status);
        } else if (item.status == 1) {
          online2.push(item.status);
        } else {
          console.log("\u672A\u77E5");
        }
      });
      setTimeout(function() {
        setonline(online2.length);
        setoffline(offline2.length);
      }, 10);
    });
  };
  var getChart1 = function getChart12() {
    var chartDom = document.getElementById("chart1");
    var myChart = echarts.init(chartDom);
    var option = {
      tooltip: {
        trigger: "item"
      },
      grid: {
        left: "8%",
        right: "8%",
        bottom: "1%",
        containLabel: true
      },
      series: [{
        type: "pie",
        radius: ["40%", "70%"],
        data: [{
          value: online,
          name: "\u5728\u7EBF\u6570"
        }, {
          value: offline,
          name: "\u79BB\u7EBF\u6570"
        }],
        color: ["#10CAFD", "#FFD978"],
        label: {
          show: false,
          position: "center"
        },
        emphasis: {
          label: {
            show: false
          }
        }
      }]
    };
    option && myChart.setOption(option);
  };
  var getChart2 = function getChart22() {
    var chartDom = document.getElementById("chart2");
    var myChart = echarts.init(chartDom);
    var option = option = {
      animation: true,
      grid: {
        top: "5%",
        bottom: "15%",
        right: "5%"
      },
      tooltip: {
        show: true
      },
      xAxis: {
        data: ["05/14", "05/15", "05/16", "5/17", "5/18", "5/19", "5/20"],
        axisLine: {
          show: true
        },
        axisTick: {
          show: true
        },
        splitLine: {
          show: true,
          lineStyle: {
            color: "rgba(77, 128, 254, 0.2)",
            width: 2
          }
        },
        axisLabel: {
          show: true,
          interval: 0,
          fontSize: 13,
          textStyle: {
            color: "#a8d5ff"
          }
        }
      },
      yAxis: [{
        type: "value",
        gridIndex: 0,
        min: 0,
        interval: 100,
        splitLine: {
          show: true,
          lineStyle: {
            color: "rgba(77, 128, 254, 0.2)",
            width: 2
          }
        },
        axisTick: {
          show: false
        },
        axisLine: {
          show: true,
          lineStyle: {
            color: "rgba(77, 128, 254, 0.2)"
          }
        },
        axisLabel: {
          show: true,
          margin: 14,
          fontSize: 13,
          textStyle: {
            color: "#a8d5ff"
          }
        }
      }],
      series: [{
        name: "\u8BBE\u5907\u5728\u7EBF\u7387",
        type: "bar",
        barWidth: 16,
        itemStyle: {
          normal: {
            label: {
              show: true,
              position: "top",
              textStyle: {
                color: "#fff",
                fontSize: 16
              }
            },
            color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
              offset: 0,
              color: "rgba(146, 225, 255, 1)"
            }, {
              offset: 1,
              color: "rgba(0, 151, 251, 1)"
            }])
          }
        },
        data: [498, 520, 568, 432, 464, 332, 344, 458, 470, 468, 398, 310, 421],
        z: 10,
        zlevel: 0
      }, {
        type: "pictorialBar",
        itemStyle: {
          normal: {
            color: "#0F375F"
          }
        },
        symbolRepeat: "fixed",
        symbolMargin: 6,
        symbol: "rect",
        symbolClip: true,
        symbolSize: [18, 2],
        symbolPosition: "start",
        symbolOffset: [1, 1],
        data: [498, 520, 568, 432, 464, 332, 344, 458, 470, 468, 398, 310, 421],
        width: 2,
        z: 0,
        zlevel: 1
      }, {
        name: "\u5916\u6846",
        type: "bar",
        barGap: "-110%",
        data: [100, 100, 100, 100, 100, 100, 100],
        barWidth: 16,
        itemStyle: {
          normal: {
            color: "transparent",
            label: {
              show: false,
              position: "top"
            }
          }
        },
        z: 0
      }, {
        name: "\u80CC\u5F71",
        type: "line",
        smooth: true,
        showAllSymbol: false,
        symbolSize: 0,
        lineStyle: {
          width: 0
        },
        areaStyle: {
          color: "rgba(0, 151, 251, 0.1)"
        },
        data: [498, 520, 568, 432, 464, 332, 344, 458, 470, 468, 398, 310, 421],
        z: 5
      }]
    };
    option && myChart.setOption(option);
  };
  var handleClickDevice = function handleClickDevice2(item, index2) {
    setCurrent(index2);
    onPreview && onPreview(item);
  };
  var handleToggleTab = function handleToggleTab2(item, index2) {
    changeUrl(item, index2);
    setActiveTabIndex(index2);
  };
  return /* @__PURE__ */ jsx(Fragment, {
    children: /* @__PURE__ */ jsxs("div", {
      className: "leftBox",
      children: [/* @__PURE__ */ jsxs("div", {
        className: "general_situation",
        children: [/* @__PURE__ */ jsx("div", {
          className: "title",
          children: "\u8BBE\u5907\u6982\u51B5"
        }), /* @__PURE__ */ jsxs("div", {
          className: "ebox",
          children: [/* @__PURE__ */ jsx("div", {
            id: "chart1"
          }), /* @__PURE__ */ jsxs("div", {
            className: "num",
            children: [/* @__PURE__ */ jsx("span", {
              children: EquipmentSum
            }), /* @__PURE__ */ jsx("span", {
              children: "\u8BBE\u5907\u603B\u6570"
            })]
          })]
        }), /* @__PURE__ */ jsxs("div", {
          className: "mainText",
          children: [/* @__PURE__ */ jsxs("div", {
            className: "topText bothText",
            children: [/* @__PURE__ */ jsxs("div", {
              className: "online",
              children: [/* @__PURE__ */ jsx("span", {}), /* @__PURE__ */ jsx("span", {
                children: "\u5728\u7EBF\u6570"
              })]
            }), /* @__PURE__ */ jsxs("div", {
              className: "unit",
              children: [/* @__PURE__ */ jsx("span", {
                children: online
              }), /* @__PURE__ */ jsx("span", {
                children: "/\u53F0"
              })]
            })]
          }), /* @__PURE__ */ jsxs("div", {
            className: "bottomText bothText",
            children: [/* @__PURE__ */ jsxs("div", {
              className: "unline",
              children: [/* @__PURE__ */ jsx("span", {}), /* @__PURE__ */ jsx("span", {
                children: "\u79BB\u7EBF\u6570"
              })]
            }), /* @__PURE__ */ jsxs("div", {
              className: "unit",
              children: [/* @__PURE__ */ jsx("span", {
                children: offline
              }), /* @__PURE__ */ jsx("span", {
                children: "/\u53F0"
              })]
            })]
          })]
        })]
      }), /* @__PURE__ */ jsxs("div", {
        className: "videoBox",
        children: [/* @__PURE__ */ jsx("div", {
          className: "title",
          children: "\u89C6\u9891\u76D1\u63A7"
        }), /* @__PURE__ */ jsx("ul", {
          className: "choose",
          children: urlData.map(function(item, index2) {
            return /* @__PURE__ */ jsx("li", {
              className: "tab ".concat(activeTabIndex === index2 ? "active" : ""),
              onClick: function onClick() {
                return handleToggleTab(item, index2);
              },
              children: item.name
            }, index2);
          })
        }), /* @__PURE__ */ jsxs("div", {
          className: "shebeiContent",
          children: [/* @__PURE__ */ jsxs("div", {
            className: "search_input",
            children: [/* @__PURE__ */ jsx("input", {
              type: "text",
              placeholder: "\u5FEB\u901F\u641C\u7D22"
            }), /* @__PURE__ */ jsx("img", {
              src: require("../../img/search.png"),
              alt: ""
            })]
          }), /* @__PURE__ */ jsx("ul", {
            className: "shebeiList",
            children: Equipmentlist.map(function(item, index2) {
              return /* @__PURE__ */ jsxs("li", {
                className: current === index2 ? "checkedActive" : null,
                onClick: function onClick() {
                  return handleClickDevice(item, index2);
                },
                children: [/* @__PURE__ */ jsx("span", {
                  children: item.camera_name
                }), item === "s" ? /* @__PURE__ */ jsx("img", {
                  src: require("../../img/onlineStars.png"),
                  alt: ""
                }) : /* @__PURE__ */ jsx("img", {
                  src: require("../../img/offlineStarts.png"),
                  alt: ""
                })]
              }, index2);
            })
          })]
        })]
      })]
    })
  });
};
var index$1 = "";
var useRequest = hooks.useRequest;
var IS_MOVE_DEVICE = document.body.clientWidth < 992;
var MSE_IS_SUPPORT = !!window.MediaSource;
var tabActive = MSE_IS_SUPPORT ? "mse" : "decoder";
var mode = tabActive === "mse" ? 0 : 1;
var createPlayerId = function createPlayerId2() {
  return "h5player_" + Math.floor(Math.random() * 268435455).toString(16).split(".")[0];
};
var playerId = createPlayerId();
var useH5Player = function useH5Player2() {
  var _ref = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, _ref$splitNumber = _ref.splitNumber, splitNumber = _ref$splitNumber === void 0 ? 1 : _ref$splitNumber, _ref$protocol = _ref.protocol, protocol = _ref$protocol === void 0 ? "ws" : _ref$protocol, _ref$roundBorder = _ref.roundBorder, roundBorder = _ref$roundBorder === void 0 ? true : _ref$roundBorder, _ref$onPlay = _ref.onPlay, onPlay = _ref$onPlay === void 0 ? function() {
    return null;
  } : _ref$onPlay, _ref$onStopPlay = _ref.onStopPlay, onStopPlay = _ref$onStopPlay === void 0 ? function() {
    return null;
  } : _ref$onStopPlay;
  var containerRef = useRef(null);
  var _useState = useState(null), _useState2 = _slicedToArray(_useState, 2), player = _useState2[0], setPlayer = _useState2[1];
  var _useState3 = useState(splitNumber), _useState4 = _slicedToArray(_useState3, 1), splitNum = _useState4[0];
  var _useRequest = useRequest(), fetchPreviewUrl = _useRequest.run;
  var createPlayer = useCallback(function(cb) {
    if (!player) {
      if (window.JSPlugin) {
        var h5player = new window.JSPlugin({
          szId: playerId,
          szBasePath: "./",
          iMaxSplit: 4,
          iCurrentSplit: 1,
          openDebug: false,
          oStyle: {
            borderSelect: IS_MOVE_DEVICE ? "#000" : "#FFCC00"
          }
        });
        h5player.JS_SetWindowControlCallback({
          windowEventSelect: function windowEventSelect(iWndIndex) {
            console.log("windowSelect callback: ", iWndIndex);
          },
          pluginErrorHandler: function pluginErrorHandler(iWndIndex, iErrorCode, oError) {
            console.log("pluginError callback: ", iWndIndex, iErrorCode, oError);
          },
          windowEventOver: function windowEventOver(iWndIndex) {
          },
          windowEventOut: function windowEventOut(iWndIndex) {
          },
          windowEventUp: function windowEventUp(iWndIndex) {
          },
          windowFullCcreenChange: function windowFullCcreenChange(bFull) {
            console.log("fullScreen callback: ", bFull);
          },
          firstFrameDisplay: function firstFrameDisplay(iWndIndex, iWidth, iHeight) {
            console.log("firstFrame loaded callback: ", iWndIndex, iWidth, iHeight);
          },
          performanceLack: function performanceLack() {
            console.log("performanceLack callback: ");
          }
        });
        setPlayer(h5player);
        cb && cb();
      }
    }
  }, [player]);
  var resize = useCallback(function() {
    if (player) {
      player.JS_Resize();
    }
  }, [player]);
  var reArrangeWindow = useCallback(function() {
    if (player) {
      player.JS_ArrangeWindow(splitNum).then(function() {
        console.log("arrangeWindow to ".concat(splitNum, "x").concat(splitNum, " success"));
      }, function(e) {
        console.error(e);
      });
    }
  }, [player, splitNum]);
  var fullScreen = useCallback(function() {
    if (player) {
      player.JS_FullScreenDisplay(true).then(function() {
        console.log("wholeFullScreen success");
      }, function(e) {
        console.error(e);
      });
    }
  }, [player]);
  var realPlay = useCallback(function(options, api2) {
    var cameraCode = options.camera_code;
    var preview = function preview2() {
      fetchPreviewUrl(api2.dis.camera.previewUrl({
        camera_code: cameraCode,
        protocol
      })).then(function(res) {
        if (Number(res.code) === 0) {
          var playURL = res.data.url;
          player.JS_Play(playURL, {
            playURL,
            mode
          }, player.currentWindowIndex).then(function() {
            console.log("realplay success");
            onPlay && onPlay();
          }, function(e) {
            console.error(e);
          });
        } else {
          console.error(res.msg);
        }
      })["catch"](function(e) {
        return console.error(e);
      });
    };
    if (player) {
      preview();
    } else {
      createPlayer(function() {
        preview();
      });
    }
  }, [player]);
  var stopPlay = useCallback(function() {
    if (player) {
      player.JS_Stop().then(function() {
        console.log("stop realplay success");
        setPlayer(null);
        onStopPlay && onStopPlay();
      }, function(e) {
        console.error(e);
      });
    }
  }, []);
  var playback = useCallback(function() {
  }, []);
  useLayoutEffect(function() {
    if (containerRef.current) {
      createPlayer();
    }
  }, [containerRef.current]);
  useEffect(function() {
    return function() {
      stopPlay();
    };
  }, []);
  var PlayerContainer = useMemo(function() {
    return function(_ref2) {
      var className = _ref2.className;
      return /* @__PURE__ */ require$$0.createElement("div", {
        id: playerId,
        ref: containerRef,
        className: "h5__player ".concat(className ? className : "", " ").concat(roundBorder ? "player__border-round" : "")
      });
    };
  }, []);
  return {
    H5Player: PlayerContainer,
    realPlay,
    stopPlay,
    reArrangeWindow,
    resize,
    fullScreen,
    playback
  };
};
var style = "";
var index = "";
var api = new Api();
var Camera = function Camera2(_ref) {
  var viewer = _ref.viewer, device = _ref.device, offsetTop = _ref.offsetTop;
  var _useState = useState(device), _useState2 = _slicedToArray(_useState, 2), activeDevice = _useState2[0], setActiveDevice = _useState2[1];
  var _useH5Player = useH5Player({
    roundBorder: false
  }), H5Player = _useH5Player.H5Player, realPlay = _useH5Player.realPlay;
  var _useState3 = useState([{
    name: "\u70B9\u8FFD\u67E5",
    children: [{
      device_name: "\u8BBE\u5907\u540D\u79F0"
    }, {
      device_name: "\u8BBE\u5907\u540D\u79F0"
    }, {
      device_name: "\u8BBE\u5907\u540D\u79F0"
    }]
  }, {
    name: "\u7EBF\u8FFD\u67E5",
    children: [{
      device_name: "\u8BBE\u5907\u540D\u79F0"
    }, {
      device_name: "\u8BBE\u5907\u540D\u79F0"
    }, {
      device_name: "\u8BBE\u5907\u540D\u79F0"
    }]
  }]), _useState4 = _slicedToArray(_useState3, 1), tracingList = _useState4[0];
  var _useState5 = useState(0), _useState6 = _slicedToArray(_useState5, 2), videoCurrent = _useState6[0], setVideoCurrent = _useState6[1];
  var videoTab = function videoTab2(index2) {
    setVideoCurrent(index2);
  };
  useEffect(function() {
    if (viewer) {
      var config = viewer.core.config;
      api.dis.setUrl(config.dis);
      api.dis.fetchToken();
    }
  }, [viewer]);
  useEffect(function() {
    if (activeDevice) {
      realPlay({
        camera_code: activeDevice.camera_code
      }, api);
    }
  }, [activeDevice]);
  var onPreview = useCallback(function(device2) {
    setActiveDevice(device2);
  }, []);
  return /* @__PURE__ */ jsx("div", {
    className: "container",
    style: {
      top: offsetTop
    },
    children: /* @__PURE__ */ jsxs("div", {
      className: "mainContent clearfix",
      children: [/* @__PURE__ */ jsx(EquipmentOverview, {
        onPreview
      }), /* @__PURE__ */ jsxs("div", {
        className: "rightBox",
        children: [/* @__PURE__ */ jsxs("div", {
          className: "dotlineTracing",
          children: [/* @__PURE__ */ jsx("div", {
            className: "title",
            children: "\u70B9\u7EBF\u8FFD\u67E5"
          }), /* @__PURE__ */ jsxs("div", {
            className: "chooseQuery",
            children: [/* @__PURE__ */ jsx("div", {
              className: "sameButton point_button",
              children: /* @__PURE__ */ jsx("span", {
                children: "\u70B9\u67E5"
              })
            }), /* @__PURE__ */ jsx("div", {
              className: "sameButton line_button",
              children: /* @__PURE__ */ jsx("span", {
                children: "\u7EBF\u67E5"
              })
            }), /* @__PURE__ */ jsxs("div", {
              className: "export_button",
              children: [/* @__PURE__ */ jsx("img", {
                src: require("./img/icon_frame.png"),
                alt: ""
              }), /* @__PURE__ */ jsx("span", {
                children: "\u5BFC\u51FA"
              })]
            })]
          }), /* @__PURE__ */ jsx("div", {
            className: "tracingList",
            children: tracingList.map(function(item, index2) {
              return /* @__PURE__ */ jsxs("div", {
                className: "tracingItem",
                children: [/* @__PURE__ */ jsxs("div", {
                  className: "tracingItem_title",
                  children: [/* @__PURE__ */ jsx("span", {
                    children: item.name
                  }), /* @__PURE__ */ jsx("img", {
                    src: require("./img/icon_delete.png"),
                    alt: ""
                  })]
                }), /* @__PURE__ */ jsx("div", {
                  className: "dataList",
                  children: /* @__PURE__ */ jsx("ul", {
                    children: item.children.map(function(ele, key) {
                      return /* @__PURE__ */ jsx("li", {
                        onClick: function onClick() {
                          return handelCamera(ele);
                        },
                        children: /* @__PURE__ */ jsxs("span", {
                          children: [key + 1, "\xA0\xA0", ele.device_name]
                        })
                      }, key);
                    })
                  })
                })]
              }, index2);
            })
          })]
        }), /* @__PURE__ */ jsxs("div", {
          className: "videoCtrl",
          children: [/* @__PURE__ */ jsxs("div", {
            className: "videoContent",
            children: [/* @__PURE__ */ jsx("div", {
              className: "videoTitle",
              children: activeDevice === null || activeDevice === void 0 ? void 0 : activeDevice.camera_name
            }), /* @__PURE__ */ jsx(H5Player, {
              className: "player__camera"
            })]
          }), /* @__PURE__ */ jsx("div", {
            className: "videoButton",
            children: /* @__PURE__ */ jsx("ul", {
              children: ["\u4E91\u53F0\u63A7\u5236", "\u89C6\u9891\u8FFD\u8E2A", "\u89C6\u9891\u540C\u6B65", "\u89C6\u9891\u56F4\u5835", "\u56DE\u653E\u9884\u89C8"].map(function(item, index2) {
                return /* @__PURE__ */ jsx("li", {
                  className: videoCurrent === index2 ? "active_videoButton" : null,
                  onClick: function onClick() {
                    return videoTab(index2);
                  },
                  children: item
                }, index2);
              })
            })
          })]
        }), /* @__PURE__ */ jsx(AlarmON, {})]
      })]
    })
  });
};
export { api, Camera as default };
//# sourceMappingURL=index.es.js.map
